local fn = _gn(0x2A56C06EBEF2B0D9)
--- Sets the components for a cutscene ped, this will take precendence over the cutscene's component overrides. This does not require the entity be registered.
-- See [`REGISTER_ENTITY_FOR_CUTSCENE`](#\_0xE40C1C56DF95C2E8) for an example.
-- @param cutsceneEntName Cutscene file cHandle, i.e Michael, Lamar, Franklin, MP\_1-MP\_4
-- @param ped Ped to copy components from
-- @param modelHash Not strictly neccasary, can be 0
function Global.SetCutscenePedComponentVariationFromPed(cutsceneEntName, ped, modelHash)
	return fn(_ts(cutsceneEntName), ped, _ch(modelHash))
end
